Bug 465589 - TypeError: 'NoneType' object is unsubscriptable
TypeError: 'NoneType' object is unsubscriptable
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
: 468901 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-04 00:48 EDT by Kyle Cronan
Modified: 2014-01-21 18:06 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-01 06:04:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kyle Cronan 2008-10-04 00:48:53 EDT
Description of problem:

Yum fatal error resolving dependencies.


Version-Release number of selected component (if applicable):
3.2.19

How reproducible:
I was trying to install mythtv-suite with ATrpms and freshrpms repos enabled as described here: http://mythtv.org/wiki/index.php/Installing_MythTV_on_Fedora

Actual results:

[root@jane yum.repos.d]# yum install mythtv-suite
Loaded plugins: refresh-updatesd
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package mythtv.x86_64 0:0.21-192.fc8 set to be updated
--> Processing Dependency: mysql for package: mythtv
--> Processing Dependency: mythplugins for package: mythtv
--> Processing Dependency: python-MythTV for package: mythtv
--> Processing Dependency: mythtv-setup for package: mythtv
--> Processing Dependency: myththemes for package: mythtv
--> Processing Dependency: xmltv for package: mythtv
--> Processing Dependency: mythtv-frontend for package: mythtv
--> Processing Dependency: mythtv-backend for package: mythtv
--> Processing Dependency: mythtv-docs for package: mythtv
--> Processing Dependency: mysql-server for package: mythtv
--> Processing Dependency: perl-MythTV for package: mythtv
--> Running transaction check
---> Package myththemes.noarch 0:0.21-139 set to be updated
---> Package mysql.x86_64 0:5.0.45-6.fc8 set to be updated
--> Processing Dependency: mysql-libs = 5.0.45-6.fc8 for package: mysql
--> Processing Dependency: libmysqlclient.so.15(libmysqlclient_15)(64bit) for package: mysql
--> Processing Dependency: perl(DBI) for package: mysql
--> Processing Dependency: libmysqlclient.so.15()(64bit) for package: mysql
---> Package perl-MythTV.x86_64 0:0.21-192.fc8 set to be updated
---> Package mythtv-setup.x86_64 0:0.21-192.fc8 set to be updated
^[[3~--> Processing Dependency: mythtv-themes for package: mythtv-setup
--> Processing Dependency: qt3-MySQL for package: mythtv-setup
--> Processing Dependency: libmythavformat-0.21.so.0()(64bit) for package: mythtv-setup
--> Processing Dependency: libmythavutil-0.21.so.0()(64bit) for package: mythtv-setup
--> Processing Dependency: libmythui-0.21.so.0()(64bit) for package: mythtv-setup
--> Processing Dependency: libmythlivemedia-0.21.so.0()(64bit) for package: mythtv-setup
--> Processing Dependency: libmyth-0.21.so.0()(64bit) for package: mythtv-setup
--> Processing Dependency: libmythtv-0.21.so.0()(64bit) for package: mythtv-setup
--> Processing Dependency: libmythupnp-0.21.so.0()(64bit) for package: mythtv-setup
--> Processing Dependency: libmythfreemheg-0.21.so.0()(64bit) for package: mythtv-setup
--> Processing Dependency: libmythavcodec-0.21.so.0()(64bit) for package: mythtv-setup
---> Package mythplugins.x86_64 0:0.21-192.fc8 set to be updated
--> Processing Dependency: mythflix for package: mythplugins
--> Processing Dependency: mythnews for package: mythplugins
--> Processing Dependency: mythcontrols for package: mythplugins
--> Processing Dependency: mythbrowser for package: mythplugins
--> Processing Dependency: mythvideo for package: mythplugins
--> Processing Dependency: mythweb for package: mythplugins
--> Processing Dependency: mythweather for package: mythplugins
--> Processing Dependency: mythzoneminder for package: mythplugins
--> Processing Dependency: mythgame for package: mythplugins
--> Processing Dependency: mythmusic for package: mythplugins
--> Processing Dependency: mythmovies for package: mythplugins
--> Processing Dependency: mythphone for package: mythplugins
--> Processing Dependency: mytharchive for package: mythplugins
--> Processing Dependency: mythgallery for package: mythplugins
---> Package python-MythTV.x86_64 0:0.21-192.fc8 set to be updated
---> Package xmltv.noarch 0:0.5.51-76.1.fc8 set to be updated
--> Processing Dependency: perl(Term::ProgressBar) >= 2.03 for package: xmltv
--> Processing Dependency: perl-DateManip >= 5.42 for package: xmltv
--> Processing Dependency: perl-XMLTV >= 0.5.51 for package: xmltv
--> Processing Dependency: perl(WWW::Mechanize) >= 1.02 for package: xmltv
--> Processing Dependency: perl(Lingua::Preferred) >= 0.2.4 for package: xmltv
--> Processing Dependency: xmltv-gui >= 0.5.51 for package: xmltv
--> Processing Dependency: xmltv-grabbers >= 0.5.51 for package: xmltv
--> Processing Dependency: perl(XMLTV::IMDB) for package: xmltv
--> Processing Dependency: perl(XMLTV::TZ) for package: xmltv
--> Processing Dependency: perl(XMLTV::Clumps) for package: xmltv
--> Processing Dependency: perl(XMLTV) for package: xmltv
--> Processing Dependency: perl(XMLTV::Usage) for package: xmltv
--> Processing Dependency: atrpms-perl-module-helper for package: xmltv
--> Processing Dependency: perl(XMLTV::Summarize) for package: xmltv
--> Processing Dependency: perl(Date::Manip) for package: xmltv
--> Processing Dependency: perl(XMLTV::Date) for package: xmltv
--> Processing Dependency: perl(XMLTV::ValidateFile) for package: xmltv
--> Processing Dependency: perl(XMLTV::Version) for package: xmltv
--> Processing Dependency: perl(XMLTV::ValidateGrabber) for package: xmltv
--> Processing Dependency: perl(XMLTV::Grep) for package: xmltv
---> Package mythtv-backend.x86_64 0:0.21-192.fc8 set to be updated
---> Package mythtv-frontend.x86_64 0:0.21-192.fc8 set to be updated
---> Package mythtv-docs.x86_64 0:0.21-192.fc8 set to be updated
---> Package mysql-server.x86_64 0:5.0.45-6.fc8 set to be updated
--> Processing Dependency: perl-DBD-MySQL for package: mysql-server
--> Running transaction check
---> Package perl-Lingua-Preferred.noarch 0:0.2.4-3.fc8 set to be updated
---> Package atrpms.noarch 0:71-1 set to be updated
---> Package mythvideo.x86_64 0:0.21-192.fc8 set to be updated
--> Processing Dependency: transcode >= 0.6.8 for package: mythvideo
---> Package mythweather.x86_64 0:0.21-192.fc8 set to be updated
--> Processing Dependency: perl(XML::Simple) for package: mythweather
--> Processing Dependency: perl(XML::Parser) for package: mythweather
--> Processing Dependency: perl(Image::Size) for package: mythweather
--> Processing Dependency: perl(SOAP::Lite) for package: mythweather
---> Package libmythui-0.21_0.x86_64 0:0.21-192.fc8 set to be updated
---> Package libmythfreemheg-0.21_0.x86_64 0:0.21-192.fc8 set to be updated
---> Package mythtv-themes.x86_64 0:0.21-192.fc8 set to be updated
---> Package xmltv-gui.noarch 0:0.5.51-76.1.fc8 set to be updated
--> Processing Dependency: perl(Tk::TableMatrix) for package: xmltv-gui
--> Processing Dependency: perl(XML::Twig) for package: xmltv-gui
--> Processing Dependency: perl(Tk) for package: xmltv-gui
---> Package libmythlivemedia-0.21_0.x86_64 0:0.21-192.fc8 set to be updated
---> Package mysql-libs.x86_64 0:5.0.45-6.fc8 set to be updated
---> Package mythgame.x86_64 0:0.21-192.fc8 set to be updated
---> Package mythphone.x86_64 0:0.21-192.fc8 set to be updated
---> Package mythnews.x86_64 0:0.21-192.fc8 set to be updated
---> Package libmythavcodec-0.21_0.x86_64 0:0.21-192.fc8 set to be updated
---> Package mythgallery.x86_64 0:0.21-192.fc8 set to be updated
---> Package mythflix.x86_64 0:0.21-192.fc8 set to be updated
---> Package libmythavformat-0.21_0.x86_64 0:0.21-192.fc8 set to be updated
---> Package qt3-MySQL.noarch 0:3.3.3-2 set to be updated
--> Processing Dependency: qt3 = 3.3.3-2 for package: qt3-MySQL
--> Processing Dependency: qt-MySQL for package: qt3-MySQL
---> Package perl-XMLTV.noarch 0:0.5.51-76.1.fc8 set to be updated
--> Processing Dependency: perl(XML::Writer) >= 0.600 for package: perl-XMLTV
--> Processing Dependency: perl(XML::LibXML) for package: perl-XMLTV
--> Processing Dependency: perl(File::Slurp) for package: perl-XMLTV
--> Processing Dependency: perl(IO::Wrap) for package: perl-XMLTV
--> Processing Dependency: perl(Term::ReadKey) for package: perl-XMLTV
--> Processing Dependency: perl(IO::Scalar) for package: perl-XMLTV
---> Package mythzoneminder.x86_64 0:0.21-192.fc8 set to be updated
---> Package perl-DBI.x86_64 0:1.58-2.fc8 set to be updated
---> Package libmythavutil-0.21_0.x86_64 0:0.21-192.fc8 set to be updated
---> Package libmythupnp-0.21_0.x86_64 0:0.21-192.fc8 set to be updated
---> Package perl-WWW-Mechanize.noarch 0:1.32-1.fc8 set to be updated
---> Package perl-Date-Manip.noarch 0:5.48-1.fc8 set to be updated
---> Package libmythtv-0.21_0.x86_64 0:0.21-192.fc8 set to be updated
---> Package mythcontrols.x86_64 0:0.21-192.fc8 set to be updated
---> Package xmltv-grabbers.noarch 0:0.5.51-76.1.fc8 set to be updated
--> Processing Dependency: perl(HTML::TableExtract) >= 1.08 for package: xmltv-grabbers
--> Processing Dependency: perl(HTML::TreeBuilder) for package: xmltv-grabbers
--> Processing Dependency: perl(Archive::Zip) for package: xmltv-grabbers
--> Processing Dependency: perl(HTTP::Cache::Transparent) for package: xmltv-grabbers
--> Processing Dependency: perl(Unicode::UTF8simple) for package: xmltv-grabbers
--> Processing Dependency: perl(Date::Parse) for package: xmltv-grabbers
--> Processing Dependency: perl(Text::Kakasi) for package: xmltv-grabbers
---> Package libmyth-0.21_0.x86_64 0:0.21-192.fc8 set to be updated
--> Processing Dependency: libfftw3f.so.3()(64bit) for package: libmyth-0.21_0
---> Package perl-Term-ProgressBar.noarch 0:2.09-2.fc6 set to be updated
--> Processing Dependency: perl(Class::MethodMaker) >= 1.02 for package: perl-Term-ProgressBar
---> Package mytharchive.x86_64 0:0.21-192.fc8 set to be updated
--> Processing Dependency: dvdauthor >= 0.6.11 for package: mytharchive
--> Processing Dependency: mjpegtools >= 1.6.2 for package: mytharchive
--> Processing Dependency: ffmpeg >= 0.4.9 for package: mytharchive
--> Processing Dependency: MySQL-python for package: mytharchive
--> Processing Dependency: PIL for package: mytharchive
---> Package mythbrowser.x86_64 0:0.21-192.fc8 set to be updated
--> Processing Dependency: libkdecore.so.4()(64bit) for package: mythbrowser
--> Processing Dependency: libkhtml.so.4()(64bit) for package: mythbrowser
---> Package mythmovies.x86_64 0:0.21-192.fc8 set to be updated
---> Package mythweb.x86_64 0:0.21-192.fc8 set to be updated
--> Processing Dependency: php >= 4.2.2 for package: mythweb
--> Processing Dependency: php-mysql >= 4.2.2 for package: mythweb
---> Package perl-DBD-MySQL.x86_64 0:4.005-2.fc8.1 set to be updated
---> Package mythmusic.x86_64 0:0.21-192.fc8 set to be updated
--> Processing Dependency: libmp4ff.so.0()(64bit) for package: mythmusic
--> Processing Dependency: libcdaudio.so.1()(64bit) for package: mythmusic
--> Running transaction check
---> Package perl-IO-stringy.noarch 0:2.110-6.fc8 set to be updated
---> Package php.x86_64 0:5.2.6-2.fc8 set to be updated
--> Processing Dependency: php-cli = 5.2.6-2.fc8 for package: php
--> Processing Dependency: php-common = 5.2.6-2.fc8 for package: php
---> Package perl-Tk-TableMatrix.x86_64 0:1.23-4.fc8 set to be updated
---> Package php-mysql.x86_64 0:5.2.6-2.fc8 set to be updated
--> Processing Dependency: php-pdo for package: php-mysql
---> Package perl-XML-Parser.x86_64 0:2.34-8 set to be updated
---> Package transcode.x86_64 0:1.0.6-36.fc8 set to be updated
--> Processing Dependency: libquicktime.so.0()(64bit) for package: transcode
--> Processing Dependency: libdc1394.so.22()(64bit) for package: transcode
--> Processing Dependency: libx264.so.60()(64bit) for package: transcode
--> Processing Dependency: libmpeg3.so.1()(64bit) for package: transcode
--> Processing Dependency: libfame-0.9.so.1()(64bit) for package: transcode
---> Package perl-XML-Simple.noarch 0:2.17-1.fc8 set to be updated
---> Package perl-XML-LibXML.x86_64 0:1.62001-2.fc8.3 set to be updated
--> Processing Dependency: perl-XML-NamespaceSupport for package: perl-XML-LibXML
--> Processing Dependency: perl-XML-SAX for package: perl-XML-LibXML
--> Processing Dependency: perl(XML::SAX::Exception) for package: perl-XML-LibXML
--> Processing Dependency: perl(XML::LibXML::Common) for package: perl-XML-LibXML
--> Processing Dependency: perl-XML-LibXML-Common for package: perl-XML-LibXML
--> Processing Dependency: perl(XML::SAX::DocumentLocator) for package: perl-XML-LibXML
--> Processing Dependency: perl(XML::SAX::Base) for package: perl-XML-LibXML
--> Processing Dependency: perl(XML::NamespaceSupport) for package: perl-XML-LibXML
---> Package perl-TimeDate.noarch 1:1.16-6.fc8 set to be updated
---> Package mjpegtools.x86_64 1:1.9.0-16_rc3.fc8 set to be updated
---> Package perl-HTTP-Cache-Transparent.noarch 0:1.0-4.fc8 set to be updated
---> Package kdelibs.x86_64 6:3.5.10-1.fc8 set to be updated
--> Processing Dependency: kde-settings >= 3.5 for package: kdelibs
--> Processing Dependency: kde-filesystem for package: kdelibs
--> Processing Dependency: libHalf.so.6()(64bit) for package: kdelibs
--> Processing Dependency: libIlmImf.so.6()(64bit) for package: kdelibs
---> Package fftw.x86_64 0:3.1.2-11.fc8 set to be updated
---> Package perl-Archive-Zip.noarch 0:1.20-3.fc8 set to be updated
---> Package perl-Text-Kakasi.x86_64 0:2.04-6.fc8 set to be updated
--> Processing Dependency: kakasi >= 2.3.1 for package: perl-Text-Kakasi
--> Processing Dependency: libkakasi.so.2()(64bit) for package: perl-Text-Kakasi
---> Package PIL.x86_64 0:1.1.6-8.fc8 set to be updated
---> Package perl-Tk.x86_64 0:804.028-3.fc8 set to be updated
---> Package perl-Unicode-UTF8simple.noarch 0:1.06-2.fc8 set to be updated
---> Package qt3.noarch 0:3.3.3-2 set to be updated
---> Package ffmpeg.x86_64 0:0.4.9-26_r12135.fc8 set to be updated
--> Processing Dependency: libavdevice52 = 0.4.9-26_r12135.fc8 for package: ffmpeg
--> Processing Dependency: libavutil49 = 0.4.9-26_r12135.fc8 for package: ffmpeg
--> Processing Dependency: libavformat52 = 0.4.9-26_r12135.fc8 for package: ffmpeg
--> Processing Dependency: libswscale0 = 0.4.9-26_r12135.fc8 for package: ffmpeg
--> Processing Dependency: libpostproc51 = 0.4.9-26_r12135.fc8 for package: ffmpeg
--> Processing Dependency: libavcodec51 = 0.4.9-26_r12135.fc8 for package: ffmpeg
--> Processing Dependency: libavformat.so.52()(64bit) for package: ffmpeg
--> Processing Dependency: libavdevice.so.52()(64bit) for package: ffmpeg
--> Processing Dependency: libswscale.so.0()(64bit) for package: ffmpeg
---> Package perl-XML-Twig.noarch 0:3.29-4.fc8 set to be updated
---> Package perl-SOAP-Lite.noarch 0:0.710.07-1.fc8 set to be updated
--> Processing Dependency: perl(version) for package: perl-SOAP-Lite
--> Processing Dependency: perl(MIME::Lite) for package: perl-SOAP-Lite
---> Package perl-HTML-Tree.noarch 1:3.23-2.fc8 set to be updated
---> Package perl-TermReadKey.x86_64 0:2.30-2 set to be updated
---> Package perl-HTML-TableExtract.noarch 0:2.10-1.fc7 set to be updated
---> Package dvdauthor.x86_64 0:0.6.14-2.fc8 set to be updated
---> Package MySQL-python.x86_64 0:1.2.2-7.fc8 set to be updated
--> Processing Dependency: mx for package: MySQL-python
---> Package perl-Class-MethodMaker.x86_64 0:2.11-1.fc8 set to be updated
---> Package qt-MySQL.x86_64 1:3.3.8b-2.fc8 set to be updated
---> Package perl-XML-Writer.noarch 0:0.604-1.fc8 set to be updated
---> Package perl-File-Slurp.noarch 0:9999.13-4.fc8 set to be updated
---> Package libcdaudio.x86_64 0:0.99.12p2-8.fc7 set to be updated
---> Package perl-Image-Size.noarch 0:3.01-1.fc6 set to be updated
--> Processing Dependency: perl(Image::Magick) for package: perl-Image-Size
---> Package mythmusic.x86_64 0:0.21-192.fc8 set to be updated
--> Processing Dependency: libmp4ff.so.0()(64bit) for package: mythmusic
--> Running transaction check
---> Package libquicktime.x86_64 0:1.0.2-1.fc8 set to be updated
--> Processing Dependency: libx264.so.58()(64bit) for package: libquicktime
---> Package libmpeg3.x86_64 0:1.7-6 set to be updated
---> Package libpostproc51.x86_64 0:0.4.9-26_r12135.fc8 set to be updated
---> Package kde-filesystem.noarch 0:4-17.fc8 set to be updated
---> Package ilmbase.x86_64 0:1.0.1-1.fc8 set to be updated
---> Package perl-XML-SAX.noarch 0:0.16-2.fc8 set to be updated
---> Package libavdevice52.x86_64 0:0.4.9-26_r12135.fc8 set to be updated
---> Package libavcodec51.x86_64 0:0.4.9-26_r12135.fc8 set to be updated
--> Processing Dependency: libx264.so.54()(64bit) for package: libavcodec51
---> Package libavutil49.x86_64 0:0.4.9-26_r12135.fc8 set to be updated
---> Package perl-MIME-Lite.noarch 0:3.01-5.fc8.1 set to be updated
--> Processing Dependency: perl(Mail::Address) for package: perl-MIME-Lite
---> Package mx.x86_64 0:2.0.6-3 set to be updated
---> Package libswscale0.x86_64 0:0.4.9-26_r12135.fc8 set to be updated
---> Package php-pdo.x86_64 0:5.2.6-2.fc8 set to be updated
---> Package php-cli.x86_64 0:5.2.6-2.fc8 set to be updated
---> Package perl-version.x86_64 1:0.7203-2.fc8 set to be updated
---> Package php-common.x86_64 0:5.2.6-2.fc8 set to be updated
---> Package libfame.x86_64 0:0.9.1-12.fc7 set to be updated
---> Package libdc1394.x86_64 0:2.0.2-1.fc8 set to be updated
---> Package kakasi.x86_64 0:2.3.4-24.fc8 set to be updated
---> Package kde-settings.noarch 0:3.5-38.fc8 set to be updated
---> Package libx264_60.x86_64 0:0.60-6_20080626.2245.fc8 set to be updated
---> Package OpenEXR-libs.x86_64 0:1.6.1-3.fc8 set to be updated
---> Package ImageMagick-perl.x86_64 0:6.3.5.9-1.fc8 set to be updated
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 229, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 145, in main
    (result, resultmsgs) = base.buildTransaction() 
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 641, in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 688, in resolveDeps
    CheckDeps, checkinstalls, checkremoves, missing = self._resolveRequires(errors)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 771, in _resolveRequires
    thisneeds = self._checkInstall(txmbr)
  File "/usr/lib/python2.5/site-packages/yum/depsolve.py", line 843, in _checkInstall
    provs = self.tsInfo.getProvides(*req)
  File "/usr/lib/python2.5/site-packages/yum/transactioninfo.py", line 432, in getProvides
    result.update(self.getNewProvides(name, flag, version))
  File "/usr/lib/python2.5/site-packages/yum/transactioninfo.py", line 414, in getNewProvides
    for pkg, hits in self.pkgSack.getProvides(name, flag, version).iteritems():
  File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 300, in getProvides
    return self._computeAggregateDictResult("getProvides", name, flags, version)
  File "/usr/lib/python2.5/site-packages/yum/packageSack.py", line 470, in _computeAggregateDictResult
    sackResult = apply(method, args)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 857, in getProvides
    return self._search("provides", name, flags, version)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 43, in newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 833, in _search
    for pkg in self.searchFiles(name, strict=True):
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 43, in newFunc
    return func(*args, **kwargs)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 584, in searchFiles
    self._sql_pkgKey2po(rep, cur, pkgs)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 468, in _sql_pkgKey2po
    pkg = self._packageByKey(repo, ob['pkgKey'])
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 411, in _packageByKey
    po = self.pc(repo, cur.fetchone())
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 68, in __init__
    self._read_db_obj(db_obj)
  File "/usr/lib/python2.5/site-packages/yum/sqlitesack.py", line 94, in _read_db_obj
    setattr(self, item, _share_data(db_obj[item]))
TypeError: 'NoneType' object is unsubscriptable
Comment 1 James Antill 2008-10-04 13:46:26 EDT
 This implies that the atrpms/freshrpms repos. are broken.
 Can you try the above with just atrpms disabled (as that uses only .xml metadata, which is pretty suspicious)?

 Or, even better, could you try this patch:

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=3120676a73219b018d317d8adaac0d858d751a3b

...or try running the lat3est stable upstream version, see the section "Running an upstream yum-3.2.* locally" on yum.baseurl.org.
 Which should give a more descriptive error message.
Comment 2 Kyle Cronan 2008-10-05 00:14:56 EDT
Sorry, I did a 'yum clean all' and now I can't reproduce it for some reason.  Consider this an FYI, I guess.  Not such a serious bug anyway.
Comment 3 James M. Leddy 2008-10-27 14:36:02 EDT
I'd like to note that I also had this problem when going from RHEL 5.2->5.3.  I will try a clean all and see if that fixes it.
Comment 4 James M. Leddy 2008-10-27 14:40:29 EDT
(In reply to comment #2)
> Sorry, I did a 'yum clean all' and now I can't reproduce it for some reason. 
> Consider this an FYI, I guess.  Not such a serious bug anyway.

same...
Comment 5 James Antill 2008-10-28 14:40:58 EDT
*** Bug 468901 has been marked as a duplicate of this bug. ***
Comment 6 Tim Lauridsen 2008-11-01 06:04:44 EDT
Looks like it was caused by some problem in the metadata, so i will close it.

Note You need to log in before you can comment on or make changes to this bug.